module Test.Hash exposing (main)

import ElmTest exposing (..)
import FNV


hashFn : a -> Int
hashFn =
    toString >> FNV.hashString


tests : Test
tests =
    suite "Hashing"
        [ test "int" <| assertEqual 1922428388 <| hashFn -102433675
        , test "float" <| assertEqual 1565963606 <| hashFn 4.32
        , test "rec" <| assertEqual 1777930592 <| hashFn { name = "Robin", age = "27", male = True }
        , test "tuple" <| assertEqual 1184144936 <| hashFn ( "Robin", 27, True )
        , test "ls" <| assertEqual 2604163289 <| hashFn [1..6]
        , test "bool" <| assertEqual 4175628588 <| hashFn False
        ]


main : Program Never
main =
    runSuite tests
